org.apache.lucene.index

## Class NoDeletionPolicy

- java.lang.Object
- - org.apache.lucene.index.NoDeletionPolicy

- All Implemented Interfaces:
    IndexDeletionPolicy

      public final class NoDeletionPolicy
      extends Object
      implements IndexDeletionPolicy

  An `IndexDeletionPolicy` which keeps all index commits around, never deleting them. This class is a singleton and can be accessed by referencing `INSTANCE`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IndexDeletionPolicy` | `INSTANCE` The single instance of this class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onCommit(List<? extends IndexCommit> commits)` This is called each time the writer completed a commit.
    `void` | `onInit(List<? extends IndexCommit> commits)` This is called once when a writer is first instantiated to give the policy a chance to remove old commit points.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final IndexDeletionPolicy INSTANCE

      The single instance of this class.

  - ### Method Detail

    - #### onCommit

          public void onCommit(List<? extends IndexCommit> commits)

      Description copied from interface: `IndexDeletionPolicy`

      This is called each time the writer completed a commit. This gives the policy a chance to remove old commit points with each commit.

      The policy may now choose to delete old commit points by calling method `delete()` of `IndexCommit`.

      This method is only called when `IndexWriter.commit()` or `IndexWriter.close()` is called, or possibly not at all if the `IndexWriter.rollback()` is called.

      Note: the last CommitPoint is the most recent one, i.e. the "front index state". Be careful not to delete it, unless you know for sure what you are doing, and unless you can afford to lose the index content while doing that.

      Specified by:
        `onCommit` in interface `IndexDeletionPolicy`
      Parameters:
        `commits` - List of `IndexCommit`, sorted by age (the 0th one is the oldest commit).

    - #### onInit

          public void onInit(List<? extends IndexCommit> commits)

      Description copied from interface: `IndexDeletionPolicy`

      This is called once when a writer is first instantiated to give the policy a chance to remove old commit points.

      The writer locates all index commits present in the index directory and calls this method. The policy may choose to delete some of the commit points, doing so by calling method `delete()` of `IndexCommit`.

      Note: the last CommitPoint is the most recent one, i.e. the "front index state". Be careful not to delete it, unless you know for sure what you are doing, and unless you can afford to lose the index content while doing that.

      Specified by:
        `onInit` in interface `IndexDeletionPolicy`
      Parameters:
        `commits` - List of current `point-in-time commits`, sorted by age (the 0th one is the oldest commit).

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.